org.apache.solr.client.solrj.cloud.autoscaling

## Enum Policy.Suggester.Hint

- java.lang.Object
- - java.lang.Enum<Policy.Suggester.Hint>
  - - org.apache.solr.client.solrj.cloud.autoscaling.Policy.Suggester.Hint

All Implemented Interfaces:
  Serializable, Comparable<Policy.Suggester.Hint>

Enclosing class:
  Policy.Suggester

    public static enum Policy.Suggester.Hint
    extends Enum<Policy.Suggester.Hint>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COLL`
`COLL_SHARD`
`REPLICATYPE`
`SRC_NODE`
`TARGET_NODE`

### Field Summary

Fields
`boolean` `multiValued`
`Consumer<Object>` `validator`

### Method Summary

All Methods Static Methods Concrete Methods
`static Policy.Suggester.Hint` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Policy.Suggester.Hint[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COLL

    public static final Policy.Suggester.Hint COLL

#### COLL_SHARD

    public static final Policy.Suggester.Hint COLL_SHARD

#### SRC_NODE

    public static final Policy.Suggester.Hint SRC_NODE

#### TARGET_NODE

    public static final Policy.Suggester.Hint TARGET_NODE

#### REPLICATYPE

    public static final Policy.Suggester.Hint REPLICATYPE

### Field Detail

#### multiValued

    public final boolean multiValued

#### validator

    public final Consumer<Object> validator

### Method Detail

#### values

    public static Policy.Suggester.Hint[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Policy.Suggester.Hint c : Policy.Suggester.Hint.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Policy.Suggester.Hint valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null